<?php
/**
 * @version		1.0.0
 * @package		SWFModule
 * @copyright	Copyright (C) 2009 webconstruction.ch. All rights reserved.
 * @license		GNU/GPL, see LICENSE.txt
 * @contact		info@webconstruction.ch
 * @website		www.webconstruction.ch
 **/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Include the whosonline functions only once
require_once (dirname(__FILE__).DS.'helper.php');
if (intval(($params->get('useSwfobject',1)))==1){
	require_once (dirname(__FILE__).DS.'includejs.php');
}

$swffile = trim($params->get('file',''));
$str = '{swf;'.$swffile.'}';
$helperObject = new modSWFModuleHelper;
$output = $helperObject->renderSWF($str,$params,$module->id);
require(JModuleHelper::getLayoutPath('mod_swfmodule'));